Bug 1481963 - [abrt] dnfdragora-gui: _handle_dbus_error(): __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.baseurl.DnfSystem.AccessDeniedError: Session is not authorized (36)
Summary: [abrt] dnfdragora-gui: _handle_dbus_error(): __init__.py:250:_handle_dbus_err...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7e4895eb2f009d719bb3cae593c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-16 07:36 UTC by Robin Lee
Modified: 2018-01-01 22:11 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:27:31 UTC


Attachments (Terms of Use)
File: backtrace (1.97 KB, text/plain)
2017-08-16 07:36 UTC, Robin Lee
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-16 07:36 UTC, Robin Lee
no flags Details
File: cpuinfo (1.16 KB, text/plain)
2017-08-16 07:36 UTC, Robin Lee
no flags Details
File: environ (2.17 KB, text/plain)
2017-08-16 07:36 UTC, Robin Lee
no flags Details
File: mountinfo (3.38 KB, text/plain)
2017-08-16 07:36 UTC, Robin Lee
no flags Details
File: namespaces (102 bytes, text/plain)
2017-08-16 07:36 UTC, Robin Lee
no flags Details
File: open_fds (2.33 KB, text/plain)
2017-08-16 07:36 UTC, Robin Lee
no flags Details

Description Robin Lee 2017-08-16 07:36:13 UTC
Description of problem:
Typed a wrong password.

Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: _handle_dbus_error
exception_type: dnfdaemon.client.DaemonError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.11.11-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.baseurl.DnfSystem.AccessDeniedError: Session is not authorized (36)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 236, in inner
    callback(self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 320, in __call__
    return self._action(icon, self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 414, in wrapper1
    return action(icon)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 113, in __run_update
    return self.__run_dialog({'update_only': True})
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 105, in __run_dialog
    self.__main_gui.handleevent()
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 1185, in handleevent
    self._run_transaction(self.always_yes)
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 1003, in _run_transaction
    rc, result = self.backend.RunTransaction()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 685, in RunTransaction
    return json.loads(self._run_dbus_async('RunTransaction'))
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 293, in _run_dbus_async
    result = self._get_result(data)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 277, in _get_result
    self._handle_dbus_error(user_data['error'])
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.baseurl.DnfSystem.AccessDeniedError: Session is not authorized (36)

Local variables in innermost frame:
msg: ''
exc: ''
err: GLib.Error('GDBus.Error:org.baseurl.DnfSystem.AccessDeniedError: Session is not authorized', 'g-io-error-quark', 36)
self: <dnfdragora.dnf_backend.DnfRootBackend object at 0x7f3576ba1a20>

Comment 1 Robin Lee 2017-08-16 07:36:20 UTC
Created attachment 1313968 [details]
File: backtrace

Comment 2 Robin Lee 2017-08-16 07:36:21 UTC
Created attachment 1313969 [details]
File: cgroup

Comment 3 Robin Lee 2017-08-16 07:36:23 UTC
Created attachment 1313970 [details]
File: cpuinfo

Comment 4 Robin Lee 2017-08-16 07:36:27 UTC
Created attachment 1313971 [details]
File: environ

Comment 5 Robin Lee 2017-08-16 07:36:29 UTC
Created attachment 1313972 [details]
File: mountinfo

Comment 6 Robin Lee 2017-08-16 07:36:30 UTC
Created attachment 1313973 [details]
File: namespaces

Comment 7 Robin Lee 2017-08-16 07:36:32 UTC
Created attachment 1313974 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-29 23:21:53 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 9 Fedora Update System 2017-12-29 23:27:04 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 10 Fedora Update System 2017-12-30 19:53:55 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 11 Fedora Update System 2017-12-30 20:39:43 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 12 Fedora Update System 2017-12-31 21:27:31 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-01 22:11:06 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.